### Method

# GVnc Connection set_shared

#### Declaration [src]

    gboolean
    vnc_connection_set_shared (
      VncConnection* conn,
      gboolean shared
    )

#### Description [src]

Set the shared state for the connection. A TRUE value allow allow this client to co-exist with other existing clients. A FALSE value will cause other clients to be dropped.

#### Parameters

`shared`

  Type: `gboolean`

  The new sharing state.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.